package com.xhpc.common.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

import java.math.BigDecimal;


/**
 * @author
 * @description 充值订单 xhpc_recharge_order
 * @date 2021-07-22
 */
public class XhpcRechargeOrder extends BaseEntity {


    /**
     * 充值订单id
     */
    private Long rechargeOrderId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 充值订单编号
     */
    private String rechargeOrderNumber;

    /**
     * 微信支付订单号
     */
    private String prepayId;

    /**
     * 支付宝订单编号
     */
    private String alipayNumber;

    /**
     * 充值金额
     */
    private BigDecimal amount;

    /**
     * 充值渠道（1微信 2支付宝 3平台）
     */
    private Integer type;


    /**
     * 状态（0待支付 1充值成功，2充值失败）
     */
    private Integer status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private Integer delFlag;

    /**
     * 订单来源（0 C端用户 1 流量方用户 2社区用户 3B端用户）
     */
    private Integer source;

    private String tenantId;

    private BigDecimal refundFee;

    private Integer refundStatus;

    //预充值使用
    private String serialNumber;

    //预充值使用  0不是预充值  1是预充值
    private Integer preRecharge;

    public Long getRechargeOrderId() {
        return rechargeOrderId;
    }

    public void setRechargeOrderId(Long rechargeOrderId) {
        this.rechargeOrderId = rechargeOrderId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getPrepayId() {
        return prepayId;
    }

    public void setPrepayId(String prepayId) {
        this.prepayId = prepayId;
    }

    public String getAlipayNumber() {
        return alipayNumber;
    }

    public void setAlipayNumber(String alipayNumber) {
        this.alipayNumber = alipayNumber;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getRechargeOrderNumber() {
        return rechargeOrderNumber;
    }

    public void setRechargeOrderNumber(String rechargeOrderNumber) {
        this.rechargeOrderNumber = rechargeOrderNumber;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    @Override
    public String getTenantId() {
        return tenantId;
    }

    @Override
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public BigDecimal getRefundFee() {
        return refundFee;
    }

    public void setRefundFee(BigDecimal refundFee) {
        this.refundFee = refundFee;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Integer getPreRecharge() {
        return preRecharge;
    }

    public void setPreRecharge(Integer preRecharge) {
        this.preRecharge = preRecharge;
    }
}
